import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {ConnectCommunityGuard} from "../../openaireLibrary/connect/communityGuard/connectCommunityGuard.guard";

@NgModule({
  imports: [
    RouterModule.forChild([
      {path: '', redirectTo: 'profile', pathMatch: 'full'},
      {path: 'profile', loadChildren: './profile/profile.module#ProfileModule'},
      {path: 'organizations', loadChildren: '../affiliations/affiliations.module#AffiliationsModule'},
      {path: 'projects', loadChildren: '../projects/communityProjects.module#CommunityProjectsModule'},
      {path: 'content-providers', loadChildren: '../content-providers/communityContentProviders.module#CommunityContentProvidersModule'},
      {path: 'content-providers/:provider', loadChildren: '../content-providers/criteria/criteria.module#CriteriaModule'},
      {path: 'zenodo-communities', loadChildren: '../zenodo-communities/zenodo-communities.module#ZenodoCommunitiesModule'},
      {path: 'subjects', canActivateChild: [ConnectCommunityGuard], loadChildren: '../subjects/subjects-edit-form/subjects-edit-form.module#SubjectsEditFormModule'},
    ])
  ],
  providers: [ConnectCommunityGuard]
})
export class CommunityInfoRoutingModule {
}
