import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {ConnectRIGuard} from "../openaireLibrary/connect/communityGuard/connectRIGuard.guard";

@NgModule({
  imports: [RouterModule.forChild([
    {
      path: 'info',
      loadChildren: './community-info/community-info-routing.module#CommunityInfoRoutingModule',
    },
    {
      path: 'users',
      loadChildren: './users/users-routing.module#UsersRoutingModule'
    },
    {
      path: 'mining',
      loadChildren: './mining/mining.module#MiningModule',
      canActivateChild: [ConnectRIGuard]
    },
    {
      path: 'admin-tools',
      loadChildren: './admin-tools/admin-tools-routing.module#AdminToolsRoutingModule',
      data: {
        param: 'community'
      }
    },
    {
      path: 'stats',
      loadChildren: './stats/stats.module#StatsModule'
    },
    {
      path: 'customize-layout',
      loadChildren: './customization/customization.module#CustomizationModule',
    }
  ])]
})
export class CommunityRoutingModule {}
