import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {path: '', redirectTo: 'managers', pathMatch: 'full'},
      {path: 'managers', loadChildren: './users-managers/users-managers.module#UsersManagersModule'},
      {path: 'subscribers', loadChildren: './users-subscribers/users-subscribers.module#UsersSubscribersModule'},
      {
        path: 'notifications',
        loadChildren: '../usernotifications/manage-user-notifications.module#ManageUserNotificationsModule'
      },
      {path: 'claims', loadChildren: '../claims/claims.module#ClaimsModule'},
      {path: 'personal', loadChildren: './personal-info/personal-info.module#PersonalInfoModule'}
    ])
  ]
})
export class UsersRoutingModule {
}
